[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'LCLPlatformDef' (#lcl)

# DirNameToDisplayName

Gets the descriptive name for the LCL widgetset located in the specified directory name.

## Declaration

Source position: lclplatformdef.pas line 42

`function DirNameToDisplayName(`
`const ADirName: string`
`):string;`

## Arguments

`ADirName` |  | Widgetset directory name converted in the routine.

## Function result

Descriptive name for the specified widgetset directory.

## Description

DirNameToDisplayName is String function used to get the descriptive name associated with the specified widgetset directory name.

ADirName contains the widgetset directory handled in the routine. It is not a full path - or even a relative path - it simply a directory name like 'qt5' or 'win32'.

DirNameToDisplayName calls DirNameToLCLPlatform to get the TLCLPlatform enumeration value for the widgetset directory. If ADirName is not found, the lpGtk2 platform is assumed. The enumeration value is used an an index into the LCLPlatformDisplayNames constant where the return value is stored.

Use DisplayNameToDirName to convert the descriptive name back to the directory where the widgetset files are found.

## Version info

Added in LCL 3.0.

## See also

DisplayNameToDirName |  | Gets the directory name where the widgetset files are stored for the specified descriptive name.
TLCLPlatform |  | Represents the supported platforms for the LCL.
LCLPlatformDirNames |  | Array constant with the directory names for supported LCL platforms.
LCLPlatformDisplayNames |  | Array constant with the display names for supported LCL platforms.